unit Form_Info;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, ShellAPI, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons,

  U_Basic, U_Constants,
  GR32_Image;

type
  TTCPD_InfoDialog = class(TForm)
    Label_Version: TLabel;
    Label_CopyRight: TLabel;
    Label_Email_1: TLabel;
    Label_www_2: TLabel;
    Label_www_1: TLabel;
    Label_Email_2: TLabel;
    Btn_OK: TBitBtn;
    Label4: TLabel;
    Image1: TImage;
    procedure FormShow(Sender: TObject);
    procedure Btn_OKClick(Sender: TObject);
    procedure Label_www_2Click(Sender: TObject);
    procedure Label_Email_2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  TCPD_InfoDialog: TTCPD_InfoDialog;

implementation

{$R *.DFM}

procedure TTCPD_InfoDialog.FormShow(Sender: TObject);
begin
  Label_Version.Caption := AppVersionStr;
end;

procedure TTCPD_InfoDialog.Btn_OKClick(Sender: TObject);
begin
  Close;
end;

procedure TTCPD_InfoDialog.Label_www_2Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, 'open',
    PChar('http://www.sixdots.de'), nil, nil, SW_ShowNormal);
end;

procedure TTCPD_InfoDialog.Label_Email_2Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, 'open',
    PChar('mailto:freeware@sixdots.de?subject=' + AppNameStr + '_V' + GetAppVersion),
    nil, nil, SW_ShowNormal);
end;

end.

